Authorize a Uniswap V4 swap
Returns a signed authorization that adds Aqua0 liquidity to a Uniswap V4 pool for exactly this swap, passed to the router with the swap. It takes an API key issued to your integration, and the shared and docs keys are refused.
Your API key. Authorizing a swap or opening a market takes a key issued to your integration, and the shared key the docs fill in reads and quotes only.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/swap/authorize" \ -H "Content-Type: application/json" \ -d '{ "venue": "v4", "poolId": "0x5622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e8639", "chainId": 8453, "token0": "0x4200000000000000000000000000000000000006", "token1": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "swapDirection": "oneForZero", "fee": 3000, "tickSpacing": 60, "requestedAmount1": "1000000", "trader": "0x4444444444444444444444444444444444444444", "classId": "38960560214548620419581884607967218229413556116830054641371650059665611327033", "amountSpecified": "-1000000", "sqrtPriceLimitX96": "1461446703485210103287273052203988822378723970341", "tradeType": "exactIn", "slippageBps": 50 }'{ "venue": "v4", "authorization": { "swapId": "0xa06fbf084c33e181b1b8de07db6dc50f532716a1e8ed377b77c0f77b309a918e", "poolId": "0x5622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e8639", "classId": "38960560214548620419581884607967218229413556116830054641371650059665611327033", "nonce": "42", "deadline": "1791928909", "executor": "0x6fF5693b99212Da76ad316178A184AB56D299b43", "sqrtPriceStartX96": "3960994633772755407296098", "signature": "0xfdcfefcac14c902f22d4bdd91a6f008c46604d3a62e3a8cb9ff441cdda630d171b69a0a113d67d234a56d6041e4a2c0a5d256daaadd516e26e8f7a762f9f07aa1b", "ranges": [ { "lp": "0x1111111111111111111111111111111111111111", "position": 0, "tickLower": -199140, "tickUpper": -197100, "liquidity": "1093427319265" } ] }, "hookData": "0x02dfe74a2cb04a2c6a71d638e9f410dd0f3b846e3cf9c99f3239274c7fb4345b000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000002c0000000000000000000000000000000000000000000000000000000000000038000000000000000000000000000000000000000000000000000000000000002200000000000000000000000000000000000000000000000000000000000000020a06fbf084c33e181b1b8de07db6dc50f532716a1e8ed377b77c0f77b309a918e5622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e86395622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e86390000000000000000000000000000000000000000000000000000000000000000fffffffffffffffffffffffffffffffffffffffffffffffffffffffffff0bdc0000000000000000000000000fffd8963efd1fc6a506488495d951d5263988d250000000000000000000000000000000000000000000346c5f3090f523fa75662000000000000000000000000000000000000000000000000000000000000002a000000000000000000000000000000000000000000000000000000006aceaa4d0000000000000000000000006ff5693b99212da76ad316178a184ab56d299b43000000000000000000000000444444444444444444444444444444444444444400000000000000000000000000000000000000000000000000000000000001800000000000000000000000000000000000000000000000000000000000000041fdcfefcac14c902f22d4bdd91a6f008c46604d3a62e3a8cb9ff441cdda630d171b69a0a113d67d234a56d6041e4a2c0a5d256daaadd516e26e8f7a762f9f07aa1b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000011111111111111111111111111111111111111110000000000000000000000000000000000000000000000000000000000000000fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcf61cfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcfe14000000000000000000000000000000000000000000000000000000fe9558d1e10000000000000000000000000000000000000000000000000000000000000000"}{ "error": "string", "code": "string", "message": "string", "details": {}, "requestId": "string"}{ "error": "string", "code": "string", "message": "string", "details": {}, "requestId": "string"}{ "error": "string", "code": "string", "message": "string", "details": {}, "requestId": "string"}{ "error": "string", "code": "string", "message": "string", "details": {}, "requestId": "string"}Send a swap on Solana
Sends the swap the trader signed. Sign the prepared transaction without changing it.
List a wallet's swaps
Returns the wallet's settled swaps on Uniswap V4, 1inch Aqua, Orca and Raydium, newest first on every chain, with what it paid and received. Send `venue` or `chainId` to narrow it.